#2081 closed defect (fixed)

spcbssched02 uses an uninitialized stack variable

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: gedare@…, petben@… Blocked By:
Blocking:

Description

In case Task_periodic() of "testsuites/sptests/spcbssched02/task_periodic.c" is started with argument != 1, then the server_id variable is uninitialized.

How should Task_periodic() work if argument != 1?

Change History (4)

comment:1 Changed on Nov 16, 2012 at 2:36:10 PM by Sebastian Huber

Cc: Petr Benes added

comment:2 Changed on Apr 12, 2014 at 12:40:16 AM by Gedare Bloom

Resolution: fixed
Status: newclosed, gedare@rtems.org

Initializing to 0 seems to be OK.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:4 Changed on Oct 10, 2017 at 6:46:55 AM by Sebastian Huber

Component: testingunspecified
Note: See TracTickets for help on using tickets.